import { EventEmitter, OnDestroy, OnInit } from "@angular/core";
import { Subscription } from "rxjs";
import { StiDropdownService } from "./sti-dropdown-service";
export declare class StiDropdownComponent implements OnInit, OnDestroy {
    dropdownService: StiDropdownService;
    id: any;
    options: any[];
    value: string | number;
    disabled: boolean;
    optionLabel: string;
    optionValue: string;
    isMinVersion: boolean;
    tooltip: any;
    valueChange: EventEmitter<any>;
    valueChangedSubscription: Subscription;
    constructor(dropdownService: StiDropdownService);
    ngOnDestroy(): void;
    ngOnInit(): void;
    getLabel(): any;
    showList(event: any): void;
}
